NCPLOGIN(1)

NAME
ncplogin - create permanent connection to a NetWare server

SYNOPSIS
ncplogin [-BCDN] [-S server] [-U user] [-A host] [-I level] [-M mode] [ -O [owner] [:group]] [-R retrycount] [-T tree] [-W timeout]
ncplogin [-BCDN] [-A host] [-I level] [-M mode] [ -O [owner] [:group]] [-R retrycount] [-T tree] [-W timeout] /server:user

DESCRIPTION
Connections to a NetWare server can be created and used independently of the mount_nwfs(8) command. Connections can be created by any user. Each user can have multiple connections, but each NetWareServer:NetWareUser pair should be unique.

The ncplogin command is used to create a permanent connection to a NetWare server. Permanent connections will stay open even if no application uses them. This allows users to run different ncp* programs without specifying a file server and user to use. Established connections can be destroyed with the ncplogout(1) command.

Upper case options described in this manual page are common for other ncp* programs and are referred to as “connection options”. Options -U and -S are mutually exclusive with the /server:user syntax.

The following options are available:

-S server
    Specify the name of the NetWare server to connect to. This affects only IPX servers. For servers supporting IP natively, see the -A option.

-U user
    Specify the name of the user used in the login sequence.

-A host
    Use the UDP protocol to connect to a NetWare 5.x server specified by the host argument.

-C  Do not convert the password to uppercase.

-D  Mark the connection as primary. The option can be used to modify existing connections. Only the ncplogin program accepts this option.

-I signature_level
    Try to use signature_level. Available values are:

    Value
        Meaning
    0   disable signatures
    1   enable (use if required by server)
    2   request but do not require signing
    3   require signatures

    Note that only packet header signing is implemented.

-M mode
    Share this connection. The bits in the mode argument are similar to standard file permissions:

    Mask
        Meaning
    4   (READ) connection will be visible.
    2   (WRITE) connection can be closed/modified.
    1   (EXECUTE) user is allowed to execute requests.

    By default, the connection is created with mode 0700 and only the owner can use it. Specifying 0750 as the argument to the -M option would allow read-only group access as well. This would allow the group to perform NCP requests, but not to destroy the connection. When a server is not explicitly specified, ncp* programs try to find a suitable connection in the following order:

    1.  Try to find a connection owned by the user. If there is more than one such connection, try to determine which one is primary. (The primary flag is set with the -D option.)

    2.  If the primary connection could not be determined, the first shared connection will be used.

-N  Do not prompt for a password. At run time, ncplogin reads the ~/.nwfsrc file for additional configuration parameters and a password. If no password is found for the specified server:user pair, ncplogin prompts for it.

-O  Specify the owner and group attributes for the connection. By default, newly created connections take the owner attribute from the creating user's username and the group attribute from the creating user's primary group. This option overrides that behaviour. Only the superuser can override the owner attribute for a connection.

-P  Mark the connection as permanent. The ncplogin utility always creates permanent connections. This option can be useful in other ncp* programs.

-R retry_count
    Specify the number of retries to be performed before dropping the connection. The default value is 10.

    Note: after a connection is marked “BAD”, each request will try to restore it. This process restores only the NCP connection; it does not reopen any files that were open at the time that the connection was marked “BAD”.

-W timeout
    Specify the server request timeout in seconds. The default is 5 seconds.

/server:user
    This syntax is provided for the sake of simplicity and is mutually exclusive with the -S and -U options.

IMPLEMENTATION NOTES
Low-level connection management is implemented in the ncp.ko kernel module. The IPXrouted(8) program is also required for IPX support.

FILES

~/.nwfsrc
    keeps static parameters for connections and other information; see /usr/share/examples/nwclient/dot.nwfsrc for details.

HISTORY
The ncplogin command first appeared in FreeBSD 4.0.

AUTHORS
Boris Popov <bp@butya.kz>, <rbp@chat.ru>

BUGS
Please report any bugs to the author.